image blkfade = "#000"
define config.tag_layer["blkfade"] = "screens"
define config.tag_zorder["blkfade"] = 25
# show screen blkfade -> show blkfade
# hide screen blkfade -> hide blkfade

image whitefade = "#fff"
define config.tag_layer["whitefade"] = "screens"
define config.tag_zorder["whitefade"] = 25
# show screen whitefade -> show whitefade
# hide screen whitefade -> hide whitefade

image blktone = "#0008"
define config.tag_layer["blktone"] = "screens"
define config.tag_zorder["blktone"] = 14
# show screen blktone -> show blktone
# hide screen blktone -> hide blktone
# (the parameter was never actually passed, so the alpha was always .5)
# to have arbitrary alpha,
# show screen blktone(.725) -> show blkfade at Transform(alpha=.725) as blktone
# I *think* that puts it at zorder 14

image white = "#fff"
define config.tag_layer["white"] = "screens"
define config.tag_zorder["white"] = 20
# show screen white -> show white
# hide screen white -> hide white

image bld1 = "interface/bld.webp"
define config.tag_layer["bld1"] = "screens"
define config.tag_zorder["bld1"] = 10
# show screen bld1 -> show bld1
# hide screen bld1 -> hide bld1

image bld2 = Transform("interface/bld.webp", yzoom=-1.0)
define config.tag_layer["bld2"] = "screens"
define config.tag_zorder["bld2"] = 10
# show screen bld2 -> show bld2
# hide screen bld2 -> hide bld2

# that one needs a rename to be optimized
# (the newly named goes onlayer screens at the given pos and zorder, the original animation onlayer master)
screen notes():
    add "notes" xpos 320+140 ypos 330
    zorder 1

screen clothing_unlock(item):
    zorder 30
    modal True

    use notes # add "renamed_notes"
    on "show" action Play("sound", "sounds/win2.ogg")

    if isinstance(item, DollCloth):
        add item.icon align (0.5, 0.5) zoom 0.5
    elif isinstance(item, DollOutfit):
        add item.image align (0.5, 0.0) yoffset -50 zoom 0.4

# should be replaced with the dismiss screen element
# there is no equivalent of the alternate property though
# but there should, but it's only used in one instance (so the other can have a dismiss in the meantime)
screen invisible_button(action=NullAction(), keysym=None, alternate=None):

    # Note: Actions cannot be passed as transclude, separate parameter is required.
    button style "empty":
        keyboard_focus False
        action action
        keysym keysym
        alternate alternate
        transclude
